class StackElement
{
	private int value;
	private StackElement next;
	
	public StackElement(int value){
		this.value = value;
	}
	
	public void setNext(StackElement s){
		next = s;
	}
	
	public StackElement getNext(){
		return next;
	}
	
	public int getValue(){ return value;}
}

class Stack
{
	private StackElement head;
	
	public void push(int value){
		StackElement el = new StackElement(value);
		el.setNext(head);
		head = el;
	}
	
	public int pop(){
		if (head == null){
			System.exit(-1);
		}
		int retValue = head.getValue();
		head = head.getNext();
		return retValue;
	}
	
	public String toString(){
		String output = "";
		for (StackElement s = head; s != null; s = s.getNext()){
			output = output + s.getValue() + " ";
		}
		return output;
	}
	
	public static void main(String[] args){
		Stack myStack = new Stack();
		for (int i = 0; i < 10; i ++){
			myStack.push(i);
		}
		System.out.println(myStack);
	}
}